<?php 

//incluir la conexion de base de datos
require "../config/Conexion.php";

class Articulocompuesto{
	//implementamos nuestro constructor
	public function __construct(){

}


//metodo insertar registro
//insertar($idarticuloc,$idalmacen,$idusuario,$fecha_hora,$_POST["idarticulo"],
//			$_POST["cantidad"],$_POST["fecha_lote"],$_POST["nrolote"])
public function insertar($idarticuloc,$idalmacenc,$idusuario,$fecha_hora,$idarticulo,$idalmacen,$cantidad,$fecha_lote,$nrolote)
{
	
	$sql	="INSERT INTO articulocompuesto (idarticulo,idalmacen,idusuario,fecha,estado) 
			VALUES ('$idarticuloc','$idalmacenc','$idusuario','$fecha_hora','Activo')";
	//return ejecutarConsulta($sql);
	//$idarticulocompuestonew=50;
//	echo $sql; 
	$idarticulocompuestonew	=	ejecutarConsulta_retornarID($sql);
	$num_elementos	=	0;
	$sw				=	true;
		
	// Se procesa cada articulo 
	while ($num_elementos < count($idarticulo)) {
		//Se agrega el detalle de la compra
		$sql_detallec	="INSERT INTO detalle_articulocompuesto (idarticulocompuesto,idarticuloorigen,idarticulo,idalmacen,cantidad) 
						 VALUES('$idarticulocompuestonew','$idarticulo','$idarticulo[$num_elementos]','$idalmacen[$num_elementos]','$cantidad[$num_elementos]')";
		//echo $sql_detallec;
		ejecutarConsulta($sql_detallec) or $sw=false;
		$num_elementos=$num_elementos+1;
	 }
	 return $sw;
}

public function anular($idarticulocompuesto){
	$sql=	"UPDATE articulocompuesto SET estado='Anulado' WHERE idarticulocompuesto='$idarticulocompuesto'";
	return ejecutarConsulta($sql);
}


//metodo para mostrar registros
public function mostrar($idarticulocompuesto){
	$sql=	"SELECT i.idarticulocompuesto,DATE(i.fecha_hora) as fecha,i.idarticulocompuesto,DATE(i.fecha_horar) as fechar,i.idproveedor,p.nombre as proveedor,u.idusuario,u.nombre as usuario, i.tipo_comprobante,i.serie_comprobante,i.num_comprobante,i.total_compra,i.impuesto,i.estado FROM articulocompuesto i INNER JOIN persona p ON i.idproveedor=p.idpersona INNER JOIN usuario u ON i.idusuario=u.idusuario WHERE idarticulocompuesto='$idarticulocompuesto'";
	return ejecutarConsultaSimpleFila($sql);
}

//metodo para mostrar registros
public function buscarnrosuministro(){
	$sql=	"SELECT COUNT(idarticulocompuesto) as nrosuministro FROM articulocompuesto WHERE tipo_comprobante='Suministro' AND DATE_FORMAT(fecha_hora, '%Y%m%d') = DATE_FORMAT(now(), '%Y%m%d')";
	return ejecutarConsultaSimpleFila($sql);
}

//metodo para buscar un almacen
public function buscarAlmacen($almacen){
	$sql=	"SELECT * FROM almacen WHERE nombre='$almacen'";
	return ejecutarConsultaSimpleFila($sql);
}

public function listarDetalle($idarticulocompuesto){
	$sql=	"SELECT di.idarticulocompuesto,di.idarticulo,a.nombre,di.cantidad,di.precio_compra,di.precio_venta FROM detalle_articulocompuesto di INNER JOIN articulo a ON di.idarticulo=a.idarticulo WHERE di.idarticulocompuesto='$idarticulocompuesto'";
	return ejecutarConsulta($sql);
}

//Buscamos un producto por el codigo de barra
public function agregarDetalleCodigoDeBarra($codigobarra){
	//$sql= 'SELECT * FROM articulo WHERE stock>0 AND codigo="$codigobarra"';
	//$sql= 'SELECT * FROM articulo WHERE codigo=:codigobarra';
	$sql= 'SELECT * FROM articulo WHERE codigo="$codigobarra"';
	return ejecutarConsultaSimpleFila($sql);
}

//listar registros
public function listar(){
	$sql=	"SELECT a.idarticulocompuesto, a.idarticulo, ar.nombre, a.estado, a.idusuario, u.nombre as usuario,a.fecha FROM articulocompuesto a INNER JOIN articulo ar ON ar.idarticulo=a.idarticulo INNER JOIN usuario u ON a.idusuario=u.idusuario ORDER BY a.idarticulocompuesto DESC";
	return ejecutarConsulta($sql);
}

//listar registros
public function listara(){
	$sql=	"SELECT i.idarticulocompuesto,DATE(i.fecha_hora) as fecha,i.idproveedor,p.nombre as proveedor,u.idusuario,u.nombre as usuario, i.tipo_comprobante,i.serie_comprobante,i.num_comprobante,i.total_compra,i.impuesto,i.estado,i.num_suministro FROM articulocompuesto i INNER JOIN persona p ON i.idproveedor=p.idpersona INNER JOIN usuario u ON i.idusuario=u.idusuario WHERE i.serie_comprobante<>'N/A' ORDER BY i.idarticulocompuesto DESC";
	return ejecutarConsulta($sql);
}

//listar registros
public function listars(){
	$sql=	"SELECT i.idarticulocompuesto,DATE(i.fecha_hora) as fecha,i.idproveedor,p.nombre as proveedor,u.idusuario,u.nombre as usuario, i.tipo_comprobante,i.serie_comprobante,i.num_comprobante,i.total_compra,i.impuesto,i.estado,i.num_suministro FROM articulocompuesto i INNER JOIN persona p ON i.idproveedor=p.idpersona INNER JOIN usuario u ON i.idusuario=u.idusuario WHERE i.num_suministro<>'N/A' ORDER BY i.idarticulocompuesto DESC";
	return ejecutarConsulta($sql);
}

}

 ?>
